# Liquid-Vapor Separators (fluids.separator)

`fluids.separator.``K_Sounders_Brown_theoretical`(D, Cd, g=9.80665)

  Converts a known drag coefficient into a Sounders-Brown K factor for two-phase separator design. This factor is the traditional way for separator diameters to be obtained although it is unnecessary and the theoretical drag coefficient method can be used instead.

  \[K_{SB} = \sqrt{\frac{(\rho_p-\rho_f)}{\rho_f}} = \sqrt{\frac{4 g d_p}{3 C_D}}\]
  Parameters
    D float

      Design diameter of the droplets, [m]

    Cd float

      Drag coefficient [-]

    g float, optional

      Acceleration due to gravity, [m/s^2]

  Returns
    K float

      Sounders Brown K factor for two-phase separator design, [m/s]

  Notes

  Drag coefficient is a function of velocity; so iteration is needed to obtain the most correct answer. The following example shows the use of iteration to obtain the final velocity:

      >>> from fluids import *
      >>> V = 2.0
      >>> D = 150E-6
      >>> rho = 1.3
      >>> rhol = 700.
      >>> mu = 1E-5
      >>> for i in range(10):
      ...     Re = Reynolds(V=V, rho=rho, mu=mu, D=D)
      ...     Cd = drag_sphere(Re)
      ...     K = K_Sounders_Brown_theoretical(D=D, Cd=Cd)
      ...     V = v_Sounders_Brown(K, rhol=rhol, rhog=rho)
      ...     print(V)
      0.760933074177
      0.562429393401
      0.507328950507
      0.489571420955
      0.483560219469
      0.481490760336
      0.480774149346
      0.480525499591
      0.480439162498
      0.480409176902

  The use of Sounders-Brown constants can be replaced as follows (the v_terminal method includes its own solver for terminal velocity):

      >>> from fluids.drag import v_terminal
      >>> v_terminal(D=D, rhop=rhol, rho=rho, mu=mu)
      0.4803932186998833

  References

  1

    Svrcek, W. Y., and W. D. Monnery. “Design Two-Phase Separators within the Right Limits” Chemical Engineering Progress, (October 1, 1993): 53-60.

  Examples

      >>> K_Sounders_Brown_theoretical(D=150E-6, Cd=0.5)
      0.06263114241333939

`fluids.separator.``K_separator_Watkins`(x, rhol, rhog, horizontal=False, method='spline')

  Calculates the Sounders-Brown K factor as used in determining maximum allowable gas velocity in a two-phase separator in either a horizontal or vertical orientation. This function approximates a graph published in [1] to determine K as used in the following equation:

  \[v_{max} = K_{SB}\sqrt{\frac{\rho_l-\rho_g}{\rho_g}}\]

  The graph has K_{SB} on its y-axis, and the following as its x-axis:

  \[\frac{m_l}{m_g}\sqrt{\rho_g/\rho_l} = \frac{(1-x)}{x}\sqrt{\rho_g/\rho_l}\]

  Cubic spline interpolation is the default method of retrieving a value from the graph, which was digitized with Engauge-Digitizer.

  Also supported are two published curve fits to the graph. The first is that of Blackwell (1984) [2], as follows:

  \[ \begin{align}\begin{aligned}K_{SB} = \exp(-1.942936 -0.814894X -0.179390 X^2 -0.0123790 X^3 + 0.000386235 X^4 + 0.000259550 X^5)\\X = \log\left[\frac{(1-x)}{x}\sqrt{\rho_g/\rho_l}\right]\end{aligned}\end{align} \]

  The second is that of Branan (1999), as follows:

  \[ \begin{align}\begin{aligned}K_{SB} = \exp(-1.877478097 -0.81145804597X -0.1870744085 X^2 -0.0145228667 X^3 -0.00101148518 X^4)\\X = \log\left[\frac{(1-x)}{x}\sqrt{\rho_g/\rho_l}\right]\end{aligned}\end{align} \]
  Parameters
    x float

      Quality of fluid entering separator, [-]

    rhol float

      Density of liquid phase [kg/m^3]

    rhog float

      Density of gas phase [kg/m^3]

    horizontal bool, optional

      Whether to use the vertical or horizontal value; horizontal is 1.25 higher

    method str

      One of ‘spline, ‘blackwell’, or ‘branan’

  Returns
    K float

      Sounders Brown horizontal or vertical K factor for two-phase separator design only, [m/s]

  Notes

  Both the ‘branan’ and ‘blackwell’ models are used frequently. However, the spline is much more accurate.

  No limits checking is enforced. However, the x-axis spans only 0.006 to 5.4, and the function should not be used outside those limits.

  References

  1

    Watkins (1967). Sizing Separators and Accumulators, Hydrocarbon Processing, November 1967.

  2

    Blackwell, W. Wayne. Chemical Process Design on a Programmable Calculator. New York: Mcgraw-Hill, 1984.

  3

    Branan, Carl R. Pocket Guide to Chemical Engineering. 1st edition. Houston, Tex: Gulf Professional Publishing, 1999.

  Examples

      >>> K_separator_Watkins(0.88, 985.4, 1.3, horizontal=True)
      0.07951613600476297

`fluids.separator.``K_separator_demister_York`(P, horizontal=False)

  Calculates the Sounders Brown K factor as used in determining maximum permissible gas velocity in a two-phase separator in either a horizontal or vertical orientation, with a demister. This function is a curve fit to [1] published in [2] and is widely used.

  For 1 < P < 15 psia:

  \[K = 0.1821 + 0.0029P + 0.0460\ln P\]

  For 15 <= P <= 40 psia:

  \[K = 0.35\]

  For P < 5500 psia:

  \[K = 0.430 - 0.023\ln P\]

  In the above equations, P is in units of psia.

  Parameters
    P float

      Pressure of separator, [Pa]

    horizontal bool, optional

      Whether to use the vertical or horizontal value; horizontal is 1.25 times higher, [-]

  Returns
    K float

      Sounders Brown Horizontal or vertical K factor for two-phase separator design with a demister, [m/s]

  Notes

  If the input pressure is under 1 psia, 1 psia is used. If the input pressure is over 5500 psia, 5500 psia is used.

  References

  2

    Otto H. York Company, “Mist Elimination in Gas Treatment Plants and Refineries,” Engineering, Parsippany, NJ.

  1

    Svrcek, W. Y., and W. D. Monnery. “Design Two-Phase Separators within the Right Limits” Chemical Engineering Progress, (October 1, 1993): 53-60.

  Examples

      >>> K_separator_demister_York(975*psi)
      0.08281536035331669

`fluids.separator.``v_Sounders_Brown`(K, rhol, rhog)

  Calculates the maximum allowable vapor velocity in a two-phase separator to permit separation between entrained droplets and the gas using an empirical K factor, named after Sounders and Brown [1]. This is a simplifying expression for terminal velocity and drag on particles.

  \[v_{max} = K_{SB} \sqrt{\frac{\rho_l-\rho_g}{\rho_g}}\]
  Parameters
    K float

      Sounders Brown K factor for two-phase separator design, [m/s]

    rhol float

      Density of liquid phase [kg/m^3]

    rhog float

      Density of gas phase [kg/m^3]

  Returns
    v_max float

      Maximum allowable vapor velocity in a two-phase separator to permit separation between entrained droplets and the gas, [m/s]

  Notes

  The Sounders Brown K factor is related to the terminal velocity as shown in the following expression.

  \[ \begin{align}\begin{aligned}v_{term} = v_{max} = \sqrt{\frac{4 g d_p (\rho_p-\rho_f)}{3 C_D \rho_f }}\\v_{term} = \sqrt{\frac{(\rho_p-\rho_f)}{\rho_f}} \sqrt{\frac{4 g d_p}{3 C_D}}\\v_{term} = K_{SB} \sqrt{\frac{4 g d_p}{3 C_D}}\end{aligned}\end{align} \]

  Note this form corresponds to the Newton’s law range (Re > 500), but in reality droplets are normally in the intermediate or Stoke’s law region [2]. For this reason using the drag coefficient expression directly is cleaner, but identical results can be found with the Sounders Brown equation.

  References

  1

    Souders, Mott., and George Granger. Brown. “Design of Fractionating Columns I. Entrainment and Capacity.” Industrial & Engineering Chemistry 26, no. 1 (January 1, 1934): 98-103. https://doi.org/10.1021/ie50289a025.

  2

    Vasude, Gael D. Ulrich and Palligarnai T. Chemical Engineering Process Design and Economics : A Practical Guide. 2nd edition. Durham, N.H: Process Publishing, 2004.

  Examples

      >>> v_Sounders_Brown(K=0.08, rhol=985.4, rhog=1.3)
      2.2010906387516167